Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Iterator_Impl Class Template Reference

Defines a abstract iterator. More...

`#include <Map_T.h>`

Inheritance diagram for ACE_Iterator_Impl

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Iterator_Impl (void)
| Destructor.
virtual ACE_Iterator_Impl<T>* | clone (void) const = 0
| Clone.
virtual int | compare (const ACE_Iterator_Impl<T> &rhs) const = 0
| Comparison.
virtual T | dereference (void) const = 0
| Dereference.
virtual void | plus_plus (void) = 0
| Advance.
virtual void | minus_minus (void) = 0
| Reverse.

## Detailed Description

### template<class T> template class ACE_Iterator_Impl

Defines a abstract iterator.

Implementation to be provided by subclasses.

## Constructor & Destructor Documentation

template<classT>
ACE_INLINE ACE_Iterator_Impl< T >::~ACE_Iterator_Impl<T> ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

template<classT>
ACE_Iterator_Impl< T >* ACE_Iterator_Impl<T>::clone ( | void ) const`[pure virtual]`

| Clone. Reimplemented in ACE_Map_Impl_Iterator_Adapter, ACE_Active_Map_Manager_Iterator_Adapter, ACE_Hash_Map_Manager_Ex_Iterator_Adapter, and ACE_Map_Manager_Iterator_Adapter.

template<classT>
int ACE_Iterator_Impl<T>::compare ( | const ACE_Iterator_Impl< T >& rhs ) const`[pure virtual]`

| Comparison. Reimplemented in ACE_Map_Impl_Iterator_Adapter, ACE_Active_Map_Manager_Iterator_Adapter, ACE_Hash_Map_Manager_Ex_Iterator_Adapter, and ACE_Map_Manager_Iterator_Adapter.

template<classT>
T ACE_Iterator_Impl<T>::dereference ( | void ) const`[pure virtual]`

| Dereference. Reimplemented in ACE_Map_Impl_Iterator_Adapter, ACE_Active_Map_Manager_Iterator_Adapter, ACE_Hash_Map_Manager_Ex_Iterator_Adapter, and ACE_Map_Manager_Iterator_Adapter.

template<classT>
void ACE_Iterator_Impl<T>::minus_minus ( | void )`[pure virtual]`

| Reverse. Reimplemented in ACE_Map_Impl_Iterator_Adapter, ACE_Active_Map_Manager_Iterator_Adapter, ACE_Hash_Map_Manager_Ex_Iterator_Adapter, and ACE_Map_Manager_Iterator_Adapter.

template<classT>
void ACE_Iterator_Impl<T>::plus_plus ( | void )`[pure virtual]`

| Advance. Reimplemented in ACE_Map_Impl_Iterator_Adapter, ACE_Active_Map_Manager_Iterator_Adapter, ACE_Hash_Map_Manager_Ex_Iterator_Adapter, and ACE_Map_Manager_Iterator_Adapter.

The documentation for this class was generated from the following files:

- Map_T.h
- Map_T.i